首页 > 201608 > LAMP一键yum安装脚本
2016
08-24

LAMP一键yum安装脚本

LAMP一键yum安装脚本 - 第1张  | Mr.Long

本脚本适用环境:

  • 系统支持:CentOS/Redhat/Fedora
  • 内存要求:≥64M
  • 硬盘要求:2GB以上的剩余空间
  • 服务器必须配置好软件源和可连接外网
  • 必须具有系统 root 权限
  • 建议使用干净系统全新安装
  • 日期:2015年11月01日

关于本脚本:

  • 一键 yum 安装所有的软件包,方便升级;
  • 支持 PHP 自带所有组件;
  • 支持 MySQL ,MariaDB 数据库;
  • 支持 XCache (PHP 5.4 only);
  • 支持 Opcache (PHP 5.5 or 5.6 only);
  • 支持 Zend Guard Loader (PHP 5.4 only);
  • 支持 ionCube PHP Loader (PHP 5.4 only);
  • 支持自助升级 phpMyAdmin;
  • 命令行新增虚拟主机,操作简便;
  • 一键卸载(卸载前请注意备份数据)。

将会安装:

  • 1、Apache (Default version)
  • 2、MySQL 5.5 或 MariaDB 5.5 latest version(二选一)
  • 3、PHP 5.4 or 5.5 or 5.6 latest version(三选一)
  • 4、phpMyAdmin 4.4 latest version
  • 5、Xcache (PHP 5.4 only)
  • 6、Opcache (PHP 5.5 or 5.6 only)
  • 7、ZendGuardLoader (PHP 5.4 only)
  • 8、ionCube PHP Loader (PHP 5.4 only)

如何安装:
第一步,下载、解压、赋予执行权限:

第二步,安装LAMP一键安装包
终端中输入以下命令:

使用提示:
lamp uninstall:一键删除 LAMP(切记,删除之前注意备份好数据)

程序目录:
MySQL 或 MariaDB 数据库目录: /var/lib/mysql
默认的网站根目录: /data/www/default

命令一览:
MySQL 或 MariaDB 命令:

Apache命令:

更多信息或下载安装包请参考项目主页:https://github.com/teddysun/lamp-yum

关于本脚本的说明:
1、Apache 为系统默认的版本,MySQL ,MariaDB 和 PHP 则是 Atomic repository 的最新版。
2、如果你的 VPS 内存≥256M,建议编译安装 LAMP,详见:LAMP一键安装脚本
3、升级 phpMyAdmin 命令:./update_phpmyadmin.sh

更新日志:

更新(2015 年 11 月 01 日): 修正了安装 PHP 5.5 和 5.6 后因 Atomic repository 默认的配置错误导致的只显示 PHP 源代码的问题。
更新(2015 年 10 月 09 日): 新增安装 PHP 5.5 和 5.6 版本。
更新(2015 年 08 月 30 日): 修正安装 phpMyAdmin 的版本,因为最新的 4.5.0-beta1 需要 PHP 5.5+,所以只选择安装 phpMyAdmin 4.4 系列的。
更新(2015 年 05 月 27 日): 更新获取 IP 地址的方式;更新默认页;更新 phpMyAdmin 创建默认数据库 sql 的路径。
更新(2014 年 06 月 25 日): 新增 MariaDB 安装选项;新增升级 phpMyAdmin 的一键脚本 update_phpmyadmin.sh。
更新(2014 年 06 月 10 日): 通过 yum 安装 LAMP 生产环境一键安装包,初版作成。

赞赏

微信赞赏支付宝赞赏

来发表一下你看完该文章的感受吧
最后编辑:
作者:Mr.Long
这个作者貌似有点懒,什么都没有留下。

LAMP一键yum安装脚本》有 1 条评论

留下一个回复

你的email不会被公开。